hyphen (2.8.9-3) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sat, 16 May 2026 23:48:19 +0200

hyphen (2.8.9-2) experimental; urgency=medium

  * debian/watch: point to GitHuband use v5 with Template: GitHub
  * debian/rules: build hyph_en_US.dic properly and disable tests on
    indep builds

 -- Rene Engelhard <rene@debian.org>  Sat, 16 May 2026 06:54:33 +0200

hyphen (2.8.9-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Update standards version to 4.4.1, no changes needed.

  [ Rene Engelhard ]
  * New upstream version 2.8.9

 -- Rene Engelhard <rene@debian.org>  Fri, 15 May 2026 21:20:32 +0200

hyphen (2.8.8-7) unstable; urgency=medium

  * Revert a change from the previous upload that caused the arch-indep build
    to fail.
  * Add usr/share/hyphen/hyph_en_US.dic to d/not-installed, as we install it
    from another location.
  * d/rules: use dh_missing --fail-missing.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 11:18:14 +0100

hyphen (2.8.8-6) unstable; urgency=medium

  [ Rene Engelhard ]
  * Update Vcs-* to salsa.

  [ Daniel Kahn Gillmor ]
  * wrap-and-sort -ast.
  * hyphen-en-us: provide fallback symlink for hyph_en.dic.  Closes: #918305
  * Add debian/watch.
  * Bump debhelper compat level to 12.
  * d/copyright: use HTTPS in the copyright format URI.
  * d/rules: added hardening=+all to make the GOT read-only.
  * Add the .la files to d/not-installed, to be used by dh_missing.

  [ Mattia Rizzolo ]
  * Use the new debhelper-compat virtual package instead of the d/compat file.
  * Drop versioned restriction covered by oldoldstable.
  * d/watch: use substvars to catch more archive extensions.
  * d/control: Bump Standards-Version to 4.3.0.
    + Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 09:52:43 +0100

hyphen (2.8.8-5) unstable; urgency=medium

  * [a30aea1] Add Multi-Arch:foreign marker to hyphen-en-us.
  * [23e9d01] d/rules: drop unused includes.
  * [10eb8fd] Bump debhelper compat level to 10.
    Drop explicit --parallel and --with autoreconf options, now default.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 17 Oct 2016 18:33:08 +0000

hyphen (2.8.8-4) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * [45c97b2] fix typo in changelog.
    Thanks to Niels Thykier for spotting

  [ Rene Engelhard ]
  * [146023d] include /usr/share/dpkg/architecture.mk and buildflags.mk
    instead of setting stuff manually
  * [771165c] disable export DH_VERBOSE=1
  * [75d905f] use dh_auto_configure instead of manual ./configure
  * [3598b57] multiarchify

 -- Rene Engelhard <rene@debian.org>  Tue, 06 Sep 2016 00:42:53 +0200

hyphen (2.8.8-3) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/rules:
    + remove compat symlinks for libaltlinuxhyph-dev and -lhyph.
    + rewrite using the dh sequencer.  Closes: #821991
  * debian/control:
    + add Vcs-* fields.
    + add myself to the uploaders.
    + remove old binary relashionships with libaltlinuxhyph-dev, libhnj-dev.
    + simplify binary relationships by removing old cruft.
    + bump Standards-Version to 3.9.8.
    + match changes done to the other hyphen-* dictionaries, in hyphen-en-us:
      - demote libreoffice-writer from Recommends to Suggests.
      - rewrite description.  Closes: #763413
    + add homepage field pointing to the new github repository.
    + remove duplication of the Section field.
    + remove useless build-dependency on dictionaries-common-dev.
  * use debhelper compat level to 9.
  * remove unused lintian override debhelper-but-no-misc-depends.
  * debian/copyright: rewrite using copyright-format 1.0.
  * debian/patches/01_hyphen_tex_from_TeXLive: add DEP-3 header.
  * drop the myspell-related files.

  [ Rene Engelhard ]
  * fix DEP-3 headers in 01_hyphen_tex_from_TeXLive.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 29 Apr 2016 22:51:30 +0000

hyphen (2.8.8-2) unstable; urgency=medium

  * fix typo in provides: s/pattern/patterns/ (closes: #768268)

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Nov 2014 21:59:15 +0100

hyphen (2.8.8-1) unstable; urgency=low

  * New upstream release

  * fix second build in a row by removing Makefile.in hunk from patch.
    regen'ed anyway using dh-autoreconf
  * move from dpatch to 3.0 (quilt)

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Sep 2014 21:40:22 +0200

hyphen (2.8.7-3) unstable; urgency=low

  * use dh-autoreconf (closes: #753526)

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Jul 2014 19:26:27 +0200

hyphen (2.8.7-2) unstable; urgency=low

  * make hyphen.h #include <stdio.h> so that FILE* is defined..

  * fix .symbols

 -- Rene Engelhard <rene@debian.org>  Sat, 28 Jun 2014 12:24:46 +0200

hyphen (2.8.7-1) unstable; urgency=low

  * New upstream release

  * bump .shlibs; add .symbols

 -- Rene Engelhard <rene@debian.org>  Fri, 27 Jun 2014 12:01:15 +0000

hyphen (2.8.6-3) unstable; urgency=low

  * the path of hyphen.tex changed again... (closes: #712244)

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Jun 2013 15:10:01 +0200

hyphen (2.8.6-2) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 12:44:40 +0000

hyphen (2.8.6-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 12:35:07 +0000

hyphen (2.8.3-2) unstable; urgency=low

  * update hyphen.tex path in debian/patches/01_hyphen_tex_from_TeXLive.dpatch
    ad the path changed... (closes: #669538)

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Apr 2012 23:56:12 +0200

hyphen (2.8.3-1) unstable; urgency=low

  * New upstream release
  * get rid of installdeb-myspell call

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Oct 2011 13:52:44 +0000

hyphen (2.7.1-4) unstable; urgency=low

  * remove conflicts against oo.o-thesaurus-en-us again, we now have
    a transitional package for it

 -- Rene Engelhard <rene@debian.org>  Fri, 11 Mar 2011 10:40:12 +0100

hyphen (2.7.1-3) unstable; urgency=low

  * upload to unstable
  * actually conflict/replarece/provide oo.o-thesaurus-en-us
  * OpenOffice.org -> OpenOffice.org/LibreOffice

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Feb 2011 17:49:34 +0000

hyphen (2.7.1-2) experimental; urgency=low

  * change Maintainer to Debian LibreOffice Maintainers
  * rename openoffice.org-hyphenation-en-us to hyphen-en-us
  * provide hyphen-hyphenation-pattern
  * add ${misc:Depends}
  * recommend libreoffice-writer | openoffice.org-writer for hyphen-en-us

 -- Rene Engelhard <rene@debian.org>  Wed, 19 Jan 2011 22:36:51 +0100

hyphen (2.7.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jan 2011 16:13:37 +0100

hyphen (2.5-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 23 Feb 2010 21:39:08 +0100

hyphen (2.4-6) unstable; urgency=low

  * remove bogus .shlibs bump..

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Aug 2009 19:40:18 +0200

hyphen (2.4-5) unstable; urgency=low

  * move hyph_en-US.dic tto /usr/share/hyphen. Create compat symlink
    from /usr/share/myspell/dicts to it from the time being.
  * only recommend openoffice.org (>= 1.0.3) | openoffice.org-writer
    at openoffice.org-hyphenation-en-us (closes: #503157)

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Aug 2009 00:04:26 +0200

hyphen (2.4-4) unstable; urgency=high

  * actually add Depends: for -hyphenation-em-us, oops (closes: #502759)
  * lintian fixes

 -- Rene Engelhard <rene@debian.org>  Sun, 19 Oct 2008 17:50:52 +0200

hyphen (2.4-3) unstable; urgency=low

  * make openoffice.org-hyphenation-en-us provide openoffice.org-hyphenation
    (closes: #500868)

 -- Rene Engelhard <rene@debian.org>  Thu, 02 Oct 2008 11:27:59 +0200

hyphen (2.4-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Mon, 26 May 2008 17:19:13 +0200

hyphen (2.4-1) experimental; urgency=low

  * New upstream release
  * upload to experimental first because we would cause openoffice.org to
    FTBFS without a change there.

 -- Rene Engelhard <rene@debian.org>  Wed, 07 May 2008 20:37:30 +0200

hyphen (2.3.1-3) unstable; urgency=low

  * make encds[] struct static. According to #debian-devel it should
    suffice to make it here for now until the next OOo upload which will also
    do it (closes: #474581)

 -- Rene Engelhard <rene@debian.org>  Sun, 06 Apr 2008 23:44:05 +0200

hyphen (2.3.1-2) unstable; urgency=low

  * fix typo in openoffice.org-hyphenation-en-us' description
    (closes: #470610)

 -- Rene Engelhard <rene@debian.org>  Wed, 12 Mar 2008 14:18:53 +0100

hyphen (2.3.1-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 19 Feb 2008 12:02:58 +0100

hyphen (2.3-5) unstable; urgency=low

  * run make check

 -- Rene Engelhard <rene@debian.org>  Mon, 03 Dec 2007 18:19:45 +0100

hyphen (2.3-4) unstable; urgency=low

  * OOo is the only user of this (yet), so it probably should be maintained
    by debian-openoffice@l.d.o...

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Nov 2007 14:16:23 +0100

hyphen (2.3-3) unstable; urgency=low

  * also add -lhnj compatibility links. Make libhnj_pic.a point to
    libhyphen.so. Needed to not break OOo builds until OOo hasn't
    -lhnj/-lhnj_pic in their makefiles anymore and to make it a real
    drop-in replacement for libaltlinuxhyph-dev (which libhyphen-dev
    conflicts/provides/replaces). Conflict against libhnj-dev

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Nov 2007 13:35:13 +0100

hyphen (2.3-2) unstable; urgency=low

  * fix hyph_en_US.dics installation...
  * fix typo in debian/copyright

 -- Rene Engelhard <rene@debian.org>  Mon, 26 Nov 2007 01:08:53 +0100

hyphen (2.3-1) unstable; urgency=low

  * Initial release
  * use hyphen.tex directly from texlive-base and build
    openoffice.org-hyphenation-en-us from here (closes: #342710)

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Nov 2007 23:55:16 +0100
